# Generated from auth1-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name auth1

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Auth1 is a Rails Engine for Auth0
License: MIT
URL: https://github.com/seouri/auth1
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(dotenv-rails) >= 2.7
# BuildRequires: rubygem(dotenv-rails) < 3
# BuildRequires: rubygem(dotenv-rails) >= 2.7.5
# BuildRequires: rubygem(rubocop) >= 0.81
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Auth1 is a Rails Engine for Auth0. Auth1 provides everything you need to use
Auth0 in your Rails application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Aug 23 2021 mockbuilder - 0.8.0-1
- Initial package
